require 'minitest/autorun'
require 'watir-webdriver'
# The no proxy is needed for webdriver to not use the HTTP_PROXY if it is set in
#    the environment
ENV['no_proxy'] = '127.0.0.1'


def browser(version)
  # :chrome, :ie, or :ff
  @browser ||= Watir::Browser.new(version)
  @browser.driver.manage.timeouts.implicit_wait=3
  @browser
end
def login(url,username, password)


  @browser.goto url
  @browser.driver.manage.window.maximize

  @browser.text_field(:name => "j_username").when_present.set(username)
  @browser.text_field(:name => "j_password").when_present.set(password )
  @browser.button(:value, "Connection").when_present.click
end

def goToDas2Closure
  @browser.a(:text => "Interfaces").when_present(60).click
  @browser.button(:value,"DAS2").when_present.click
  @browser.link(:text, "New DAS2 closure").when_present.click
end

def goToAssetSearch
  @browser.button(:text , "Asset search".split('/').take(1).first).when_present.click
  @browser.button(:value,"Search").when_present.click#
end

def goToPartyContractSearch
  @browser.button(:text , "Party contract search".split('/').take(1).first).when_present.click
  @browser.button(:value, "Search").when_present.click#
end

def goToPaymentSearch
  @browser.button(:text , "Payment search".split('/').take(1).first).when_present.click
  @browser.button(:value, "Search").when_present.click#
end

def goToContractElementsExpiringSearch
  @browser.a(:text => "Parties and Contracts").when_present(60).click
  @browser.button(:value,"Contract elements expiring search").when_present.click
end

def goToContractPopulation
  @browser.a(:text => "Fleet management").when_present(60).click
  @browser.button(:value,"Contract population search").when_present.click
  @browser.button(:value, "Search").when_present.click#
end

def goToWeeksAndMonthsConfiguration
  @browser.a(:text => "Setup").when_present(60).click
  @browser.table(:id,"x-auto-165").button(:class,"x-btn-text").click
  @browser.link(:text, "Configuration of week's days and year's months").when_present.click
end