require 'minitest/autorun'
require 'watir-webdriver'
# The no proxy is needed for webdriver to not use the HTTP_PROXY if it is set in
#    the environment
ENV['no_proxy'] = '127.0.0.1'


def browser(version)
  # :chrome, :ie, or :ff
  @browser ||= Watir::Browser.new(version)
  @browser.driver.manage.timeouts.implicit_wait=3
  @browser
end
def login(url,username, password)
  # TODO:  Make login id configurable, make URL configurable
  # browser().goto "http://vmdemo:8992/ekip-gui-standard/login.jsp#ekip"

  @browser.goto url
  @browser.driver.manage.window.maximize

  @browser.text_field(:name => "j_username").when_present.set(username)
  @browser.text_field(:name => "j_password").when_present.set(password )
  @browser.button(:value, "Connection").when_present.click
end

def goToDas2Closure
  @browser.a(:text => "Interfaces").when_present(60).click#TODO:groupe menu /root title
  @browser.button(:value,"DAS2").when_present.click#TODO:liste menu
  @browser.link(:text, "DAS2 closure search").when_present.click#TODO:main menu button
end

def goToInvoiceSearch

  @browser.a(:text => "Main").when_present(60).click#TODO:groupe menu /root title
  @browser.link(:value,"Invoice search").when_present.click#TODO:liste menu

end

def doubleClick
  #@@browser.
  @browser.div(:class => "fwk-result-managementCompany").when_present.double_click
end

def click
  #@@browser.
  #$browser.div(:class => "fwk-result-contractIe").when_present.double_click
  @browser.button(:text => "Search").when_present.click
end
