#Configurable wait time, in seconds
$wait_time=10

$small_wait_time=2

$large_wait_time=40

#method to replace nil with an empty string
def no_null obj
  ((obj==nil) ? '' : obj)
end

#method to replace nil with false string
def bool_no_null obj
  ((obj==nil) ? 'false' : obj)
end

def custom_double_click brwser,elmnt
  if (brwser.driver.browser.to_s =='firefox')
    elmnt.when_present.fire_event("ondblclick")
  else
    elmnt.when_present.double_click
  end
end

#find a parent class with a class containing expression
def findParentWithClass parent_class_name,current_element
  found=false
  element=nil
  previousElement=nil
  while (!found)
    if (element==nil)
      tempElement= element=previousElement=current_element.parent
    else
      previousElement=element
      tempElement=element.parent
    end

    if (tempElement.class_name.include? parent_class_name)
      found=true
    end
    element=tempElement
  end
  return element, previousElement
end


#find a parent class with a id containing expression
def findParentWithId parent_idElement,current_element
  found=false
  element=nil
  previousElement=nil
  while (!found)
    if (element==nil)
      tempElement= element=previousElement=current_element.parent
    else
      previousElement=element
      tempElement=element.parent
    end

    if (tempElement.id.include? parent_idElement)
      found=true
    end
    element=tempElement
  end
  return element, previousElement
end

def force_find_element  block
  found_element=false
  retries_left = 3
  begin
    found_element= block.call
  rescue Timeout::Error
    puts("Caught a TIMEOUT ERROR!")

    # You may want to wait for a while before retrying.
    sleep(3)

    # Retry the code that generates the exception.
    retries_left -= 1
    retry if retries_left > 0

    # No more retries left - time to bail out! Re-raise the exception.
    raise
  end
  found_element
end



