require File.expand_path(File.dirname(__FILE__) + '/../../../lib/TNR360/components/dependencies.rb')

class LdsBlockInSummaryView < LdsBlock
  #private method to update/save the status of the object
  def update
    @exists=false
    #Look for element in browser
    @current_element||= findElement @idBlock
      #fill @title
      extractTitle
      #fill type
      extractType
    #everything exists
    @exists=true
  end

  #method locate current element
  def findElement idElement
    @current_element=nil

    #wait for screen to become visible (find screen forcefully)
    proc=Proc.new { isScreenDisplayed }
    force_find_element(proc).to_s

    #wait for screen to become visible (find screen forcefully)
    proc=Proc.new { elementExists?(idElement) }
    @exists=force_find_element(proc)
    puts 'Block found = '+@exists.to_s

    if (@browser.divs(:id => idElement).length>1)
      @browser.divs(:id => idElement).each do |field|
        if field.visible?
          @current_element=field
          break
        end
      end
    else
      @current_element=@browser.div(:id => idElement).when_present
    end
    if @current_element.visible?
      puts 'block is visible'
    else
      puts 'block is NOT visible'
    end
    @current_element
  end

  def elementExists?(idElement)
    #this method assumes the screen/tab is already loaded
    oneIsVisible=false
    #if element not yet available in screen, wait for some time
    if (!@browser.div(:id => idElement).exists?)
      @browser.div(:id => idElement).when_present(10)
      oneIsVisible=true
    else
      if (!@browser.div(:id => idElement).visible?)
        @browser.divs(:id => idElement).each do |field|
          if field.visible?
            oneIsVisible=true
            break
          end
        end
        if !oneIsVisible
          @browser.div(:id => idElement).when_present(10)
          oneIsVisible=true
        end
      else
        oneIsVisible=true
      end
    end
    oneIsVisible
  end
  #internal methods
  def extractAreas
  end
  def extractTitle
    @title=@current_element.parent.parent.span.text
    puts @title
  end
  def getLabel idF
    @label=@current_element.div(:id=>idF).parent.parent.label.text
    puts @label
  end

  def getValue idF
    @value=@current_element.div(:id=>idF).text
    puts @value
  end
end




