module PageObject
  module Platforms
    module LdsWatirWebDriver

      def self.create_page_object(browser)
        return LdsWatirWebDriver::PageObject.new(browser)
      end

      def self.is_for?(browser)
        require 'watir-webdriver'
        browser.is_a?(::Watir::Browser)
      end
    end
  end
end

PageObject::Platforms.register(:lds_watir_webdriver, PageObject::Platforms::LdsWatirWebDriver)
